{

	"ID" : 2020817,

	"Events" : 

	{

    	//性格测试

    	"OnStart" : 

    	{"Actions":[

    		{

    			"$type" : "Share.CConfigOpenDialog"

    		},

    		{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19017_Log_1_1"

    			]

    		},

    		{

                "$type" : "Share.CConfigTriggerBattle",

                "BattleID" : "specials(BattleID)",

                "OnSuccess" : "OnBattleEnd"

            }

        ]},

        "OnBattleEnd":

        {"Actions":[

			{

			  "$type": "Share.CConfigPreset",

			  "PerformKey" : "Chessboard_BattleEnd_None"

			},

			{

				"$type":"Share.CConfigCloseDialog",

				"CameraMove":false

			},

			{

				"$type":"Share.CConfigOpenDialog"

			},

        	{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19017_Log_2_1",

    				"Event_19017_Log_3_1"

    			]

    		},

    		{

				"$type" : "Share.CConfigChoiceServer",

				"OptionsMode" : "Normal",

				"Description" : "Event_19017_Des_1",

				"ShowMode" : "Normal",

				"Choices" : 

				[

					{

						//获得1个随机神器

						"OptionText" : "Event_19017_op_1",

						"Predicates" : 

						[

							{

								"$type" : "Share.CConfigEventByHollowVariable",

								"Key" : "EventComplete.19016",

								"Count" : 1,

								"CompareType" : "NotEqual"

							}

						],

						"OptionContents" : 

						[

							{

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigSetHollowVariable",

										"Key" : "EventComplete.19016",

										"Value" : 1

									},

									{

										"$type" : "Share.CConfigDropPool",

										"Type" : "Arcana",

										"Rare" : 

										[

											4

										],

										"Num" : 1

									},

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_1_Over_1"

									}

								]

							}

						]

					},

					{

						//获得1张随机S级卡牌

						"OptionText" : "Event_19017_op_2",

						"Predicates" : 

						[

							{

								"$type" : "Share.CConfigEventByHollowVariable",

								"Key" : "EventComplete.19016",

								"Count" : 2,

								"CompareType" : "NotEqual"

							}

						],

						"OptionContents" : 

						[

							{

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigSetHollowVariable",

										"Key" : "EventComplete.19016",

										"Value" : 2

									},

									{

										"$type" : "Share.CConfigDropPool",

										"Type" : "Card",

										"Rare" : 

										[

											4

										],

										"Num" : 1

									},

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_2_Over_1"

									}

								]

							}

						]

					},

					{

						//获得2张随机A级卡牌

						"OptionText" : "Event_19017_op_3",

						"Predicates" : 

						[

							{

								"$type" : "Share.CConfigEventByHollowVariable",

								"Key" : "EventComplete.19016",

								"Count" : 3,

								"CompareType" : "NotEqual"

							}

						],

						"OptionContents" : 

						[

							{

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigSetHollowVariable",

										"Key" : "EventComplete.19016",

										"Value" : 3

									},

									{

										"$type" : "Share.CConfigDropPool",

										"Type" : "Card",

										"Rare" : 

										[

											3

										],

										"Num" : 2

									},

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_3_Over_1"

									}

								]

							}

						]

					},

					{

						//获得3张随机B级卡牌

						"OptionText" : "Event_19017_op_4",

						"Predicates" : 

						[

							{

								"$type" : "Share.CConfigEventByHollowVariable",

								"Key" : "EventComplete.19016",

								"Count" : 4,

								"CompareType" : "NotEqual"

							}

						],

						"OptionContents" : 

						[

							{

								"Actions" : 

								[

									{

										"$type" : "Share.CConfigSetHollowVariable",

										"Key" : "EventComplete.19016",

										"Value" : 4

									},

									{

										"$type" : "Share.CConfigDropPool",

										"Type" : "Card",

										"Rare" : 

										[

											2

										],

										"Num" : 3

									},

									{

										"$type" : "Share.CConfigJump",

										"Jump" : "Op_4_Over_1"

									}

								]

							}

						]

					}

				]

			}	

		]},

		"Op_1_Over_1":

		{"Actions":[

			{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19017_op_1_over_1"

    			]

    		},

			{

				"$type" : "Share.CConfigJump",

				"Jump" : "OnEnd"

			}

		]},

		"Op_2_Over_1":

		{"Actions":[

			{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19017_op_2_over_1"

    			]

    		},

			{

				"$type" : "Share.CConfigJump",

				"Jump" : "OnEnd"

			}

		]},

		"Op_3_Over_1":

		{"Actions":[

			{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19017_op_3_over_1"

    			]

    		},

			{

				"$type" : "Share.CConfigJump",

				"Jump" : "OnEnd"

			}

		]},

		"Op_4_Over_1":

		{"Actions":[

			{

    			"$type" : "Share.CConfigLogText",

    			"Messages" : 

    			[

    				"Event_19017_op_4_over_1"

    			]

    		},

			{

				"$type" : "Share.CConfigJump",

				"Jump" : "OnEnd"

			}

		]},

		"OnEnd" : 

		{"Actions":[

			{

				"$type" : "Share.CConfigCloseDialog"

			},

			{

				"$type" : "Share.CConfigFinishEvent"

			}

		]}

	},

    "EventSpecials" :

    {

		//表格参数

		"BattleID" : 0

	}

}